# To be used with nfs-volume.yaml and mypostgres-replicaset.yaml
#
#
# drewbednar@MacBook-Pro learn_k8s % kk get pv -n runcible
# NAME           CAPACITY   ACCESS MODES   RECLAIM POLICY   STATUS      CLAIM   STORAGECLASS   REASON   AGE
# postgres-nfs   10Gi       RWX            Retain           Available                                   3s
# drewbednar@MacBook-Pro learn_k8s % kk apply -f manifests/nfs-volume-claim.yaml
# persistentvolumeclaim/postgres-nfs created
# drewbednar@MacBook-Pro learn_k8s % kk get pv -n runcible
# NAME           CAPACITY   ACCESS MODES   RECLAIM POLICY   STATUS   CLAIM                   STORAGECLASS   REASON   AGE
# postgres-nfs   10Gi       RWX            Retain           Bound    runcible/postgres-nfs                           19s
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: postgres-nfs
  namespace: runcible
spec:
  # By specifying a PersistentVolume in a PersistentVolumeClaim, you declare a binding between that specific PV and PVC.
  volumeName: postgres-nfs
  accessModes:
    - ReadWriteMany
  # Empty string must be explicitly set otherwise default StorageClass will be set
  storageClassName: ''
  resources:
    requests:
      storage: 10Gi
